## python-voip-utils 0.2.0

=== requirements.txt ===
opuslib==3.0.1

=== debian/changelog ===
python-voip-utils (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now has tests and an example.
  * Run tests and install example.

 -- Edward Betts <edward@4angle.com>  Sat, 12 Oct 2024 22:54:55 +0100

python-voip-utils (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1084977)

 -- Edward Betts <edward@4angle.com>  Sat, 12 Oct 2024 09:51:14 +0100

=== debian/control ===
Source: python-voip-utils
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest,
 python3-opuslib,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/home-assistant-libs/voip-utils
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-voip-utils
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-voip-utils.git

Package: python3-voip-utils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Utilities for managing Voice over IP communication
 This library provides utilities for managing Voice over IP (VoIP)
 communication through analog phones and VoIP adapters. It allows integration
 with devices such as the Grandstream HT801, HT802, and HT812 to enable voice
 interaction capabilities. The library facilitates the processing and control
 of VoIP telephony, supporting local push connections and integration with
 systems like Home Assistant. These utilities help in translating voice
 commands from traditional phones into digital signals to interact with
 compatible smart home applications.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-voip-utils-$1\.tar\.gz/ \
  https://github.com/home-assistant-libs/voip-utils/tags .*/v?(\d\S+)\.tar\.gz

## python-voip-utils 0.2.1

=== debian/changelog ===
python-voip-utils (0.2.1-2) unstable; urgency=medium

  * Patch tests to pass on s390x architecture. (Closes: #1089826)

 -- Edward Betts <edward@4angle.com>  Fri, 20 Dec 2024 10:27:59 +0000

python-voip-utils (0.2.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1088827)
  * Add <!nocheck> flag to build dependencies needed for tests.

 -- Edward Betts <edward@4angle.com>  Tue, 03 Dec 2024 08:21:29 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=voip-utils

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf voip_utils.egg-info/

## python-voip-utils 0.2.2

=== debian/changelog ===
python-voip-utils (0.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 04 Jan 2025 12:10:06 +0000

## python-voip-utils 0.3.1

=== debian/changelog ===
python-voip-utils (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix tests for big-endian byte order accepted upstream.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Sun, 02 Feb 2025 13:23:50 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
- python3-pytest,
- python3-opuslib,
+ python3-pytest <!nocheck>,
+ python3-opuslib <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/home-assistant-libs/voip-utils

## python-voip-utils 0.3.2

=== debian/changelog ===
python-voip-utils (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sun, 18 May 2025 22:08:21 +0100

## python-voip-utils 0.3.3

=== debian/changelog ===
python-voip-utils (0.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 02 Jul 2025 09:19:34 +0100

## python-voip-utils 0.3.4

=== debian/changelog ===
python-voip-utils (0.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 03 Aug 2025 08:37:23 +0100

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,11 @@
  python3-pytest <!nocheck>,
  python3-opuslib <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/home-assistant-libs/voip-utils
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-voip-utils
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-voip-utils.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-voip-utils
 Architecture: all

=== debian/watch ===
version=4
https://github.com/home-assistant-libs/voip-utils/tags .*/v?(\d\S+)\.tar\.gz

## python-voip-utils 0.3.5

=== debian/changelog ===
python-voip-utils (0.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 17 Jan 2026 08:20:29 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -13,8 +12,7 @@
 Build-Depends-Indep:
  python3-pytest <!nocheck>,
  python3-opuslib <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/home-assistant-libs/voip-utils
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-voip-utils
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-voip-utils.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: home-assistant-libs
Project: voip-utils
